try {
  var geoip = {};
  window.geoip = geoip;
} catch (err) {
  window.geoip = {};
}

try {
  window.modelData = window.diagnostics.getModel();
} catch (err) {
  window.modelData = {type: 'unknown', vendor: 'unknown'};
}

var softRandomSeed = Math.random();
var usaLocales = [
  'US',
  'CA'
];
var euLocales = [
  'AT',
  'BE',
  'BG',
  'CZ',
  'DE',
  'DK',
  'EE',
  'ES',
  'FI',
  'FR',
  'GB',
  'GR',
  'HR',
  'HU',
  'IE',
  'IT',
  'LT',
  'LU',
  'LV',
  'MT',
  'NL',
  'PL',
  'PT',
  'RO',
  'SE',
  'SI',
  'SK'
];
var usaLocalesOpera = [ ];
var euLocalesOpera = [ ];
var cisLocales = [
  'RU',
  'AZ',
  'AM',
  'BY',
  'KZ',
  'KG',
  'MD',
  'TJ',
  'TM',
  'UZ',
  'GE',
  'AB',
  'OS'
];
var cloudLocales = [
  'GH',
  'IN',
  'KE',
  'NG',
  'PK',
  'SD',
  'TZ',
  'UG',
  'ZA'
];

function checkCloudTargeting (data) {
  if (data.os.OSVersion < 6) { return false; }
  var geo = data.geoip.geoip_country_code.toUpperCase();
  if ((usaLocales.indexOf(geo) !== -1) || (euLocales.indexOf(geo) !== -1)) { return false; }
  if (cloudLocales.indexOf(geo) !== -1) { return true; }
  if (window.lang !== 'ru') { return false; }
  return true;
}

function isCloudInstalled (data) {
  if (data.system.RegExists('HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\DriverPack Cloud\\DisplayName')) { return true; }
  return false;
}

var soft = [
  {
    'ID': '0',
    'Name': '7-Zip',
    'URL': 'http://dl.drp.su/soft/7-Zip.exe',
    'Icon': 'http://dl.drp.su/soft/7-Zip.png',
    'Publisher': 'Igor Pavlov',
    'Rating': 5,
    'Checked': false,
    'Version': '21.00',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-01-21',
    'Registry_32': 'HKCU\\Software\\7-Zip\\Path',
    'Keys': '/S',
    'Category': 'Archiver',
    'Description': {
      'en': '7-Zip  file archiver with a high compression ratio',
      'ru': '7-Zip       '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1001
  },
  {
    'ID': '1',
    'Name': 'Opera x64',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/OperaBlink64.exe',
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (!data.os.is64) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocalesOpera.indexOf(geo) !== -1) || (euLocalesOpera.indexOf(geo) !== -1)) { return false; }
      if (geo === 'RU') return false;
      return true;
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '1a',
    'Name': 'Opera US x64',
    'URL': 'http://dl.drp.su/soft/OperaBlink64.exe',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'confirmPopup': {
      'description': {
        'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
        'ru': ',          ,      VPN'
      },
      'isDeferred': true
    },
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (!data.os.is64) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocalesOpera.indexOf(geo) === -1) && (euLocalesOpera.indexOf(geo) === -1)) { return false; }
      if (cisLocales.indexOf(geo) !== -1) return false;
      return true;
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '2',
    'Name': 'Opera',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/OperaBlink.exe',
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (data.os.is64) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocalesOpera.indexOf(geo) !== -1) || (euLocalesOpera.indexOf(geo) !== -1)) { return false; }
      if (geo === 'RU') return false;
      return true;
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '2a',
    'Name': 'Opera US',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/OperaBlink.exe',
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'confirmPopup': {
      'description': {
        'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
        'ru': ',          ,      VPN'
      },
      'isDeferred': true
    },
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (data.os.is64) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocalesOpera.indexOf(geo) === -1) && (euLocalesOpera.indexOf(geo) === -1)) { return false; }
      if (cisLocales.indexOf(geo) !== -1) return false;
      return true;
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '3',
    'Name': 'Opera CIS x64',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/Opera64cis_woGoogle.exe',
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (!data.os.is64) return false;

      var geo = data.geoip.geoip_country_code.toUpperCase();
      return geo === 'RU';
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '4',
    'Name': 'Opera CIS',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/Opera86cis_woGoogle.exe',
    'Icon': 'http://dl.drp.su/soft/Opera.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '64.0.3417.73',
    'ReleaseDate': '2017-10-04',
    'UpdateDate': '2019-10-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\UUID',
    'CheckInstalled': function (data) {
      return data.diagnostics.checkSoft.checkSoftInstalled(/^Opera /i);
    },
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      if (data.os.is64) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return geo === 'RU';
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '5',
    'Name': 'Opera XP',
    'localizedName': {
      'en': 'Opera Browser',
      'ru': ' Opera'
    },
    'URL': 'http://dl.drp.su/soft/OperaXP.exe',
    'Icon': 'http://dl.drp.su/soft/OperaXP.png',
    'Publisher': 'Opera Software',
    'Rating': 5,
    'Checked': true,
    'Version': '36.0.2130.32',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2017-05-24',
    'Registry_32': 'HKCU\\Software\\Opera Software\\Last Stable Install Path',
    'Keys': '-install -silent -launchopera=1 -setdefaultbrowser=1',
    'Category': 'Browser',
    'hideWindow': 'Opera',
    'eula': 'http://www.opera.com/eula/computers',
    'policy': 'http://www.opera.com/privacy',
    'about': 'https://www.opera.com/computer',
    'Description': {
      'en': 'Fast, secure, easy-to-use browser with a built-in ad blocker, battery saver and free VPN',
      'ru': ',          ,      VPN'
    },
    'Targeting': function (data) {
      if (data.os.OSVersion >= 6) return false;
      return true;
    },
    'Lang': '',
    'IsPartner': true,
    'priority': 41
  },
  {
    'ID': '6',
    'Name': 'Yandex.Browser',
    'URL': 'http://dl.drp.su/updates/ya-downloader/downloader_browser.exe',
    'Icon': 'http://dl.drp.su/soft/Yandex.png',
    'Publisher': 'YANDEX LLC',
    'Rating': 5,
    'Checked': true,
    'Version': '21.2.1',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-02-18',
    'Registry_32': 'HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName') &&
        data.system.RegExists('HKCU\\Software\\drpsu\\YandexInstalled');
    },
    'Keys': '--sync --partner 33855 --distr /quiet /msicl "YABM=n YABROWSER=y YAHOMEPAGE=y YAQSEARCH=y YBSENDSTAT=n YBDEFAULT=n ILIGHT=1 VID="306"" --try 10 /log "%temp%\\YaBrInstall.log"',
    'OfflineKeys': '/quiet /msicl "YAHOMEPAGE=y YAQSEARCH=y YABM=n YABROWSER=y YBSENDSTAT=n YBDEFAULT=n VID="003""',
    'Category': 'Browser',
    'hideWindow': 'Browser',
    'confirmPopup': {
      'description': {
        'en': 'Yandex Browser is another Chrome based browser featuring a fast minimalist interface with unique features like Stealth Mode.',
        'ru': '  -,          -,     ,   ,        .'
      }
    },
    'eula': 'https://yandex.ru/legal/browser_agreement/',
    'policy': 'https://yandex.ru/legal/confidential/',
    'about': 'https://getyabrowser.com',
    'Description': {
      'en': 'Yandex.Browser  a quick and safe web-browser with active security system Protect!',
      'ru': '.        Protect!'
    },
    'IsPartner': true,
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (geo === 'AZ') { return true; }
      if (geo === 'AM') { return true; }
      if (geo === 'BY') { return true; }
      if (geo === 'KZ') { return true; }
      if (geo === 'KG') { return true; }
      if (geo === 'MD') { return true; }
      if (geo === 'TJ') { return true; }
      if (geo === 'TM') { return true; }
      if (geo === 'UZ') { return true; }
      if (geo === 'GE') { return true; }
      if (geo === 'AB') { return true; }
      if (geo === 'OS') { return true; }
      return false;
    },
    'Lang': 'rus',
    'priority': 31,
    'afterHook': function (data) {
      // Remove shortcuts
      var folder = data.system.WshShell.ExpandEnvironmentStrings('%appdata%\\Microsoft\\Internet Explorer\\Quick Launch\\User Pinned\\TaskBar');
      var shortcuts = ['.website'];
      for (var i = 0; i < shortcuts.length; i++) {
        try {
          var verbs = data.system.objShell.Namespace(folder).ParseName(shortcuts[i]).Verbs();
          for (var j = 0; j < verbs.Count; j++) {
            if (/unpin|/i.test(verbs.Item(j).name)) verbs.Item(j).DoIt();
          }
        } catch (e) {}
        try {
          data.system.fso.DeleteFile(folder + '\\' + shortcuts[i], true);
        } catch (e) {}
      }
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\YandexInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '7',
    'Name': 'Yandex.Browser (Russian) +  ',
    'URL': 'http://dl.drp.su/updates/ya-downloader/downloader_browser.exe',
    'Icon': 'http://dl.drp.su/soft/Yandex.png',
    'Publisher': 'YANDEX LLC',
    'Rating': 5,
    'Checked': true,
    'Version': '17.6.1',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2016-07-03',
    'Registry_32': 'HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName') &&
        data.system.RegExists('HKCU\\Software\\drpsu\\YandexInstalled');
    },
    'Keys': '--sync --partner 12239 --distr /quiet /msicl "YABM=n YABROWSER=y YAHOMEPAGE=y YAQSEARCH=y YBSENDSTAT=n ILIGHT=1 VID="306"" --try 10 /log "%temp%\\YaBrInstall.log"',
    'OfflineKeys': '/quiet /msicl "YAHOMEPAGE=y YAQSEARCH=y YABM=n YABROWSER=y YBSENDSTAT=n VID="003""',
    'Category': 'Browser',
    'hideWindow': 'Browser',
    'confirmPopup': {
      'description': {
        'en': 'Yandex Browser is another Chrome based browser featuring a fast minimalist interface with unique features like Stealth Mode.',
        'ru': '  -,          -,     ,   ,        .'
      }
    },
    'eula': 'https://yandex.ru/legal/browser_agreement/',
    'policy': 'https://yandex.ru/legal/confidential/',
    'about': 'https://getyabrowser.com',
    'Description': {
      'en': 'Yandex.Browser  a quick and safe web-browser with active security system Protect!',
      'ru': '.        Protect!'
    },
    'IsPartner': true,
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (geo === 'AZ') { return false; }
      if (geo === 'AM') { return false; }
      if (geo === 'BY') { return false; }
      if (geo === 'KZ') { return false; }
      if (geo === 'KG') { return false; }
      if (geo === 'MD') { return false; }
      if (geo === 'TJ') { return false; }
      if (geo === 'TM') { return false; }
      if (geo === 'UZ') { return false; }
      if (geo === 'GE') { return false; }
      if (geo === 'AB') { return false; }
      if (geo === 'OS') { return false; }
      if (window.lang === 'ru') { return true; }
      return false;
    },
    'Lang': 'rus',
    'priority': 31,
    'afterHook': function (data) {
      // Remove shortcuts
      var folder = data.system.WshShell.ExpandEnvironmentStrings('%appdata%\\Microsoft\\Internet Explorer\\Quick Launch\\User Pinned\\TaskBar');
      var shortcuts = ['.website'];
      for (var i = 0; i < shortcuts.length; i++) {
        try {
          var verbs = data.system.objShell.Namespace(folder).ParseName(shortcuts[i]).Verbs();
          for (var j = 0; j < verbs.Count; j++) {
            if (/unpin|/i.test(verbs.Item(j).name)) verbs.Item(j).DoIt();
          }
        } catch (e) {}
        try {
          data.system.fso.DeleteFile(folder + '\\' + shortcuts[i], true);
        } catch (e) {}
      }
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\YandexInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '8',
    'Name': 'Yandex.Browser (USA)',
    'URL': 'http://dl.drp.su/soft/YandexLiteUSA.exe',
    'Icon': 'http://dl.drp.su/soft/Yandex.png',
    'Publisher': 'YANDEX LLC',
    'Rating': 5,
    'Checked': true,
    'Version': '17.3.0',
    'ReleaseDate': '2016-04-14',
    'UpdateDate': '2017-05-25',
    'Registry_32': 'HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YandexBrowser\\DisplayName') &&
        data.system.RegExists('HKCU\\Software\\drpsu\\YandexInstalled');
    },
    'Keys': '--silent --do-not-launch-browser --make-browser-default-after-import',
    'OfflineKeys': '--silent --do-not-launch-browser --make-browser-default-after-import',
    'Category': 'Browser',
    'hideWindow': 'Browser',
    'confirmPopup': {
      'description': {
        'en': 'Yandex Browser is another Chrome based browser featuring a fast minimalist interface with unique features like Stealth Mode.',
        'ru': '  -,          -,     ,   ,        .'
      },
      'isDeferred': true
    },
    'eula': 'https://yandex.com/legal/browser_agreement/',
    'policy': 'https://yandex.com/legal/privacy/',
    'about': 'https://getyabrowser.com',
    'Description': {
      'en': 'Yandex.Browser  a quick and safe web-browser with active security system Protect!',
      'ru': '.        Protect!'
    },
    'IsPartner': true,
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (window.lang === 'ru') { return false; }
      if (cisLocales.indexOf(geo) !== -1) { return false; }
      if (geo === 'UA') { return false; }
      return false;
    },
    'Lang': 'eng',
    'exitCodes': [0, 1],
    'priority': 40,
    'afterHook': function (data) {
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\YandexInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '11',
    'Name': 'Foxit PDF Reader',
    'URL': 'http://dl.drp.su/soft/FoxitReader.exe',
    'Icon': 'http://dl.drp.su/soft/FoxitReader.png',
    'Publisher': 'Foxit Software Inc.',
    'Rating': 4,
    'Checked': false,
    'Version': '10.1.0.37527',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-03-04',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Foxit Reader_is1\\DisplayName',
    'Keys': '-y -gm2 -fm0',
    'Category': 'Viewer',
    'Description': {
      'en': 'Foxit PDF Reader  view, create, annotate, and Print PDF Files',
      'ru': 'Foxit PDF Reader        PDF'
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1011
  },
  {
    'ID': '12',
    'Name': 'K-Lite Codec Pack',
    'URL': 'http://dl.drp.su/soft/K-LiteXP.exe',
    'Icon': 'http://dl.drp.su/soft/K-Lite.png',
    'Publisher': 'KLCP',
    'Rating': 5,
    'Checked': false,
    'Version': '13.8.5',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-03-04',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\KLiteCodecPack_is1\\DisplayName',
    'Keys': '/VERYSILENT /NORESTART /SUPPRESSMSGBOXES',
    'Category': 'Viewer',
    'Description': {
      'en': 'K-Lite Codec Pack contains everything you need to play all popular audio and video file formats',
      'ru': 'K-Lite Codec Pack        '
    },
    'Targeting': function (data) {
      if (data.os.OSVersion > 6) { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '[ru,tt,uk,az,be,uz,hy,ka]',
    'priority': 1021
  },
  {
    'ID': '13',
    'Name': 'K-Lite Codec Pack',
    'URL': 'http://dl.drp.su/soft/K-Lite.exe',
    'Icon': 'http://dl.drp.su/soft/K-Lite.png',
    'Publisher': 'KLCP',
    'Rating': 5,
    'Checked': false,
    'Version': '16.0.5',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-03-04',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\KLiteCodecPack_is1\\DisplayName',
    'Keys': '/VERYSILENT /NORESTART /SUPPRESSMSGBOXES',
    'Category': 'Viewer',
    'Description': {
      'en': 'K-Lite Codec Pack contains everything you need to play all popular audio and video file formats',
      'ru': 'K-Lite Codec Pack        '
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '[ru,tt,uk,az,be,uz,hy,ka]',
    'priority': 1021
  },
  {
    'ID': '14',
    'Name': 'Skype',
    'URL': 'http://dl.drp.su/soft/SkypeXP.exe',
    'Icon': 'http://dl.drp.su/soft/Skype.png',
    'Publisher': 'Skype Technologies S.A.',
    'Rating': 4,
    'Checked': false,
    'Version': '7.36.0.101',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2017-05-09',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{FC965A47-4839-40CA-B618-18F486F042C6}\\DisplayName',
    'Keys': '/VERYSILENT /NOLAUNCH /NOGOOGLE /NOSTARTUP /NOPLUGINS',
    'Category': 'Messenger',
    'Description': {
      'en': 'Skype keeps the world talking, for free',
      'ru': 'Skype     '
    },
    'Targeting': function (data) {
      if (data.os.OSVersion >= 6) { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1031
  },
  {
    'ID': '15',
    'Name': 'Skype',
    'URL': 'http://dl.drp.su/soft/SkypeNew.exe',
    'Icon': 'http://dl.drp.su/soft/Skype.png',
    'Publisher': 'Skype Technologies S.A.',
    'Rating': 4,
    'Checked': false,
    'Version': '8.69.0.77',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-03-04',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Skype_is1\\DisplayName',
    'Keys': '/VERYSILENT /NOLAUNCH /NOGOOGLE /NOSTARTUP /NOPLUGINS',
    'Category': 'Messenger',
    'Description': {
      'en': 'Skype keeps the world talking, for free',
      'ru': 'Skype     '
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1031
  },
  {
    'ID': '16',
    'Name': 'uTorrent',
    'URL': 'http://dl.drp.su/soft/uTorrent.exe',
    'Icon': 'http://dl.drp.su/soft/uTorrent.png',
    'Publisher': 'BitTorrent, Inc.',
    'Rating': 4,
    'Checked': false,
    'Version': '3.5.3.44358',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2018-03-06',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\uTorrent\\DisplayName',
    'Keys': '-aiA -gm2 -fm0',
    'Category': 'Internet',
    'Description': {
      'en': 'uTorrent  elegant and efficient torrent downloading',
      'ru': 'uTorrent  ,    -'
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1041
  },
  {
    'ID': '18',
    'Name': 'PotPlayer',
    'URL': 'http://dl.drp.su/soft/PotPlayer.exe',
    'Icon': 'http://dl.drp.su/soft/PotPlayer.png',
    'Publisher': 'Kakao Corporation',
    'Rating': 5,
    'Checked': false,
    'Version': '1.7.21212',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2020-05-18',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\PotPlayer\\DisplayName',
    'Keys': '/S',
    'Category': 'Player',
    'Description': {
      'en': 'PotPlayer  universal multimedia player with integrated codecs',
      'ru': 'PotPlayer       '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1050
  },
  {
    'ID': '19',
    'Name': 'AIMP',
    'URL': 'http://dl.drp.su/soft/AIMP.exe',
    'Icon': 'http://dl.drp.su/soft/AIMP.png',
    'Publisher': 'Artem Izmaylov',
    'Rating': 5,
    'Checked': false,
    'Version': '4.70.2239',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-01-21',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\AIMP\\DisplayName',
    'Keys': '/AUTO="%PROGRAMFILES%\\AIMP"',
    'Category': 'Player',
    'Description': {
      'en': 'AIMP  simple and high-quality audio player',
      'ru': 'AIMP      '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1051
  },
{
    'ID': '20',
    'Name': 'Chrone Browser',
    'URL': 'http://dl.drp.su/soft/Chrone.exe',
    'Icon': 'http://dl.drp.su/soft/Chrone.png',
    'Publisher': 'Internet-Start.net',
    'Rating': 5,
    'Checked': true,
    'Version': '86.0.4240.198',
    'ReleaseDate': '2018-10-01',
    'UpdateDate': '2020-12-23',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Chrone Browser\\DisplayName',
    'Keys': '/S',
    'Category': 'Browser',
    'Description': {
      'en': 'Free Chromium based browser',
      'ru': '     Chromium'
    },
    'IsPartner': true,
    'Lang': '',
    'priority': 21
  },
  {
    'ID': '6-86ru',
    'Name': 'Firefox Rus',
    'localizedName': {
      'en': 'Firefox Browser',
      'ru': ' Firefox'
    },
    'URL': 'http://dl.drp.su/soft/FirefoxRu.exe',
    'Icon': 'http://dl.drp.su/soft/Firefox.png',
    'Publisher': 'Mozilla Corporation',
    'Rating': 5,
    'Checked': true,
    'Version': '86.0',
    'ReleaseDate': '2018-09-05',
    'UpdateDate': '2021-02-26',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Firefox Browser\\DisplayName',
    'Keys': '/S',
    'Category': 'Browser',
    'eula': 'https://www.mozilla.org/en-US/about/legal/eula/',
    'policy': 'https://www.mozilla.org/en-US/privacy/',
    'about': 'https://www.mozilla.org/firefox/',
    'Description': {
      'en': 'Firefox  browser, committed to you, your privacy and an open Web',
      'ru': 'Firefox  ,  ,     '
    },
    'Targeting': function (data) {
      if (window.lang !== 'ru' &&
          window.lang !== 'az' &&
          window.lang !== 'be' &&
          window.lang !== 'hy' &&
          window.lang !== 'tt' &&
          window.lang !== 'uk' &&
          window.lang !== 'uz') { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': true,
    'Lang': '',
    'priority': 22
  },
  {
    'ID': '6-86en',
    'Name': 'Firefox Eng',
    'localizedName': {
      'en': 'Firefox Browser',
      'ru': ' Firefox'
    },
    'URL': 'http://dl.drp.su/soft/FirefoxEn.exe',
    'Icon': 'http://dl.drp.su/soft/Firefox.png',
    'Publisher': 'Mozilla Corporation',
    'Rating': 5,
    'Checked': true,
    'Version': '86.0',
    'ReleaseDate': '2018-09-05',
    'UpdateDate': '2021-02-26',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Firefox Browser\\DisplayName',
    'Keys': '/S',
    'Category': 'Browser',
    'eula': 'https://www.mozilla.org/en-US/about/legal/eula/',
    'policy': 'https://www.mozilla.org/en-US/privacy/',
    'about': 'https://www.mozilla.org/firefox/',
    'Description': {
      'en': 'Firefox  browser, committed to you, your privacy and an open Web',
      'ru': 'Firefox  ,  ,     '
    },
    'Targeting': function (data) {
      if (window.lang === 'ru' ||
          window.lang === 'az' ||
          window.lang === 'be' ||
          window.lang === 'hy' ||
          window.lang === 'tt' ||
          window.lang === 'uk' ||
          window.lang === 'uz') { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': true,
    'Lang': '',
    'priority': 22
  },
  {
    'ID': '21',
    'Name': 'FastStone Image Viewer',
    'URL': 'http://dl.drp.su/soft/FSImage.exe',
    'Icon': 'http://dl.drp.su/soft/FSImage.png',
    'Publisher': 'FastStone Soft',
    'Rating': 4,
    'Checked': false,
    'Version': '7.5',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2020-03-27',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FastStone Image Viewer\\DisplayName',
    'Keys': '/S',
    'Category': 'Viewer',
    'Description': {
      'en': 'FastStone Image Viewer  image browser, converter and editor',
      'ru': 'FastStone Image Viewer       '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1071
  },
  {
    'ID': '22',
    'Name': 'TeamViewer',
    'URL': 'http://dl.drp.su/soft/TeamViewer.exe',
    'Icon': 'http://dl.drp.su/soft/TeamViewer.png',
    'Publisher': 'TeamViewer GmbH',
    'Rating': 5,
    'Checked': false,
    'Version': '15.13.6',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2021-01-21',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeamViewer\\DisplayName',
    'Keys': '/S',
    'Category': 'Internet',
    'Description': {
      'en': 'TeamViewer  tool for remote support, access and online meeting',
      'ru': 'TeamViewer        '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1081
  },
  {
    'ID': '23',
    'Name': 'AOMEI Backupper',
    'URL': 'http://dl.drp.su/soft/Backupper.exe',
    'Icon': 'http://dl.drp.su/soft/Backupper.png',
    'Publisher': 'AOMEI Technology Co., Ltd.',
    'Rating': 5,
    'Checked': false,
    'Version': '3.5',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2016-12-28',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{A83692F5-3E9B-4E95-9E7E-B5DF5536C09F}_is1\\DisplayName',
    'Keys': '/VERYSILENT /NORESTART /SUPPRESSMSGBOXES',
    'Category': 'Backup',
    'Description': {
      'en': 'AOMEI Backupper  the simplest FREE PC backupper',
      'ru': 'AOMEI Backupper        '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1091
  },
  {
    'ID': '24',
    'Name': 'Adobe Flash Player',
    'URL': 'http://dl.drp.su/soft/FlashPlayer.exe',
    'Icon': 'http://dl.drp.su/soft/FlashPlayer.png',
    'Publisher': 'Adobe Systems Incorporated',
    'Rating': 5,
    'Checked': false,
    'Version': '32.0.0.465',
    'ReleaseDate': '2014-09-10',
    'UpdateDate': '2021-01-21',
    'Registry_32': 'HKLM\\Software\\MozillaPlugins\\@adobe.com/FlashPlayer\\Description',
    'Keys': '-y -gm2 -fm0',
    'Category': 'Viewer',
    'Description': {
      'en': 'Adobe Flash Player',
      'ru': 'Adobe Flash Player'
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1101
  },
  {
    'ID': '26',
    'Name': 'Yandex.Elements',
    'URL': 'http://dl.drp.su/updates/ya-downloader/downloader_elements.exe',
    'Icon': 'http://dl.drp.su/soft/YandexPack.png',
    'Publisher': 'YANDEX LLC',
    'Rating': 4,
    'Checked': true,
    'Version': '8.9',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2015-10-26',
    'Registry_32': '1HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{12f34aee-538c-44d5-b33a-12213b7e0197}\\DisplayName',
    'Keys': '--partner drpsu --distr /quiet /msicl "YAHOMEPAGE=y YAQSEARCH=y YABM=y YABROWSER=n YBSENDSTAT=n VID="002"" --try 10 /log "%temp%\\YaElInstall.log"',
    'OfflineKeys': '/quiet /msicl "YAHOMEPAGE=y YAQSEARCH=y YABM=n YABROWSER=n YBSENDSTAT=n VID="004""',
    'Category': 'Browser',
    'confirmPopup': {
      'description': {
        'en': 'Set of extensions for Mozilla Firefox, Google Chrome and Opera browsers, which makes it easier to work with Yandex services and Internet. Elements contains visual tabs, extensions from Yandex services like Mail, Disk, Music, Weather, etc.',
        'ru': '    Mozilla Firefox, Google Chrome  Opera,          .    ,      , , ,   ..'
      }
    },
    'eula': 'https://yandex.ru/legal/desktop_software_agreement/',
    'policy': 'https://yandex.ru/legal/confidential/',
    'about': 'https://yandex.ru/support/element/',
    'IsPartner': true,
    'Description': {
      'en': 'Yandex.Elements extensions',
      'ru': ' .'
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocales.indexOf(geo) !== -1) || (euLocales.indexOf(geo) !== -1)) { return false; }
      if (!window.isCamaro || window.isOnline) { return false; }
      if (window.lang === 'ru') { return true; }
      if (cisLocales.indexOf(geo) !== -1) { return true; }
      if (geo === 'UA') { return true; }
      return false;
    },
    'Lang': 'rus'
  },
  {
    'ID': '28',
    'Name': 'Avast Free Antivirus',
    'URL': 'http://dl.drp.su/soft/AvastAntivirusA.exe',
    'Icon': 'http://dl.drp.su/soft/AvastAntivirus.png',
    'Publisher': 'AVAST Software',
    'Rating': 5,
    'Checked': false,
    'Version': '12.3.2280',
    'ReleaseDate': '2016-09-22',
    'UpdateDate': '2016-09-22',
    'Registry_32': 'HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/Avast/i) ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\Antivirus\\Version') ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\AV\\Dir') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/AVG/i);
    },
    'Keys': '/silent',
    'Category': 'Antivirus',
    'protect': true,
    'confirmPopup': {
      'description': {
        'en': 'Get the world\s #1 antivirus for free',
        'ru': '  1   '
      }
    },
    'eula': 'https://www.avast.com/eula',
    'policy': 'https://www.avast.ru/privacy-policy',
    'about': 'https://www.avast.com/free-antivirus-download',
    'IsPartner': true,
    'Description': {
      'en': 'Avast Free Antivirus  free security has never been so lightweight, intuitive, and powerful',
      'ru': 'Avast Free Antivirus                 '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (geo === 'RU') { return softRandomSeed <= 0.396; }
      return false;
    },
    'Lang': 'rus',
    'priority': 1200,
    'installTimeout': 600000,
    'singleOnly': true,
    'afterHook': function (data) {
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\AvastInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '29',
    'Name': 'Avast Free Antivirus Worldwide',
    'localizedName': {
      'en': 'Avast Free Antivirus',
      'ru': 'Avast Free Antivirus'
    },
    'URL': 'http://dl.drp.su/soft/AvastAntivirusWorldwideA.exe',
    'Icon': 'http://dl.drp.su/soft/AvastAntivirus.png',
    'Publisher': 'AVAST Software',
    'Rating': 5,
    'Checked': false,
    'Version': '12.3.2280',
    'ReleaseDate': '2017-02-17',
    'UpdateDate': '2017-02-17',
    'Registry_32': 'HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/Avast/i) ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\Antivirus\\Version') ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\AV\\Dir') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/AVG/i);
    },
    'Keys': '/silent',
    'Category': 'Antivirus',
    'protect': true,
    'confirmPopup': {
      'description': {
        'en': 'Get the world\s #1 antivirus for free',
        'ru': '  1   '
      }
    },
    'eula': 'https://www.avast.com/eula',
    'policy': 'https://www.avast.ru/privacy-policy',
    'about': 'https://www.avast.com/free-antivirus-download',
    'IsPartner': true,
    'Description': {
      'en': 'Avast Free Antivirus  free security has never been so lightweight, intuitive, and powerful',
      'ru': 'Avast Free Antivirus                 '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocales.indexOf(geo) !== -1) || (euLocales.indexOf(geo) !== -1)) { return false; }
      if (geo !== 'RU') { return true; }
      return false;
    },
    'Lang': 'eng',
    'priority': 1201,
    'installTimeout': 600000,
    'singleOnly': true,
    'afterHook': function (data) {
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\AvastInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '30',
    'Name': 'Avast Free Antivirus Worldwide US',
    'localizedName': {
      'en': 'Avast Free Antivirus',
      'ru': 'Avast Free Antivirus'
    },
    'URL': 'http://dl.drp.su/soft/AvastAntivirusWorldwideA.exe',
    'Icon': 'http://dl.drp.su/soft/AvastAntivirus.png',
    'Publisher': 'AVAST Software',
    'Rating': 5,
    'Checked': false,
    'Version': '12.3.2280',
    'ReleaseDate': '2017-02-17',
    'UpdateDate': '2017-02-17',
    'Registry_32': 'HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version',
    'CheckInstalled': function (data) {
      return data.system.RegExists('HKLM\\SOFTWARE\\AVAST Software\\Avast\\Version') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/Avast/i) ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\Antivirus\\Version') ||
        data.system.RegExists('HKLM\\SOFTWARE\\\AVG\\AV\\Dir') ||
        data.diagnostics.checkSoft.checkSoftInstalled(/AVG/i);
    },
    'Keys': '/silent',
    'Category': 'Antivirus',
    'protect': true,
    'confirmPopup': {
      'description': {
        'en': 'Get the world\s #1 antivirus for free',
        'ru': '  1   '
      },
      'isDeferred': true
    },
    'eula': 'https://www.avast.com/eula',
    'policy': 'https://www.avast.ru/privacy-policy',
    'about': 'https://www.avast.com/free-antivirus-download',
    'IsPartner': true,
    'Description': {
      'en': 'Avast Free Antivirus  free security has never been so lightweight, intuitive, and powerful',
      'ru': 'Avast Free Antivirus                 '
    },
    'Targeting': function (data) {
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if ((usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1)) { return false; }
      if (geo !== 'RU') { return true; }
      return false;
    },
    'Lang': 'eng',
    'priority': 1201,
    'installTimeout': 600000,
    'singleOnly': true,
    'afterHook': function (data) {
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\AvastInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '30',
    'Name': '360 Total Security',
    'URL': 'http://dl.drp.su/soft/360tsNew.exe',
    'Icon': 'http://dl.drp.su/soft/360ts.png',
    'Publisher': 'Qihoo 360 Software',
    'Rating': 5,
    'Checked': function (data) {
      if (data.antivirus) {
        if (data.antivirus.hasAntiviruses() && data.antivirus.scanAntiviruses().find(function (antivirus) {
          return /360 total security/i.test(antivirus.displayName);
        })) { return false; }
      }
      // Not install over our Avast
      // if (data.antivirus) {
        // if (data.antivirus.hasAntiviruses() && data.antivirus.scanAntiviruses().find(function (antivirus) {
          // return /avast/i.test(antivirus.displayName);
        // })) { return !data.system.RegExists('HKCU\\Software\\drpsu\\AvastInstalled'); }
      // }
      // This is Avast multiplication inversion
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (geo === 'AL') { return true; }
      if (geo === 'AM') { return softRandomSeed > 0.001; }
      if (geo === 'AZ') { return softRandomSeed > 0.5; }
      if (geo === 'BO') { return true; }
      if (geo === 'CI') { return true; }
      if (geo === 'CM') { return true; }
      if (geo === 'CN') { return true; }
      if (geo === 'DO') { return true; }
      if (geo === 'EC') { return true; }
      if (geo === 'EG') { return true; }
      if (geo === 'GE') { return softRandomSeed > 0.5; }
      if (geo === 'GH') { return true; }
      if (geo === 'GR') { return softRandomSeed > 0.001; }
      if (geo === 'HK') { return true; }
      if (geo === 'HR') { return softRandomSeed > 0.05; }
      if (geo === 'IN') { return true; }
      if (geo === 'IQ') { return true; }
      if (geo === 'IR') { return true; }
      if (geo === 'JO') { return true; }
      if (geo === 'KE') { return true; }
      if (geo === 'KG') { return softRandomSeed > 0.001; }
      if (geo === 'KH') { return true; }
      if (geo === 'KZ') { return softRandomSeed > 0.3; }
      if (geo === 'LB') { return true; }
      if (geo === 'LK') { return true; }
      if (geo === 'MD') { return softRandomSeed > 0.9; }
      if (geo === 'MN') { return true; }
      if (geo === 'MZ') { return true; }
      if (geo === 'NG') { return true; }
      if (geo === 'NP') { return true; }
      if (geo === 'PH') { return true; }
      if (geo === 'PK') { return true; }
      if (geo === 'PS') { return true; }
      if (geo === 'QA') { return true; }
      if (geo === 'RU') { return softRandomSeed > 0.5; }
      if (geo === 'SN') { return true; }
      if (geo === 'TN') { return true; }
      if (geo === 'TR') { return true; }
      if (geo === 'TZ') { return true; }
      if (geo === 'UA') { return softRandomSeed > 0.7; }
      if (geo === 'UZ') { return softRandomSeed > 0.001; }
      if (geo === 'VE') { return true; }
      if (geo === 'VN') { return true; }
      if (geo === 'ZA') { return true; }
      if (geo === 'ZM') { return true; }
      if (geo === 'MX') { return true; }
      if (geo === 'ID') { return true; }
      if (geo === 'BR') { return true; }
      if (geo === 'BD') { return true; }
      if (geo === 'DA') { return true; }
      if (geo === 'MA') { return true; }
      if (geo === 'PE') { return true; }
      if (geo === 'CO') { return true; }
      if (geo === 'AR') { return true; }
      if (geo === 'SA') { return true; }
      if (geo === 'CL') { return true; }
      if (geo === 'MY') { return true; }
      return false;
    },
    'Version': '10.2.0.1175',
    'ReleaseDate': '2018-05-11',
    'UpdateDate': '2018-12-29',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\360TotalSecurity\\UninstallString',
    'Keys': '/s',
    'Category': 'Antivirus',
    'protect': true,
    'confirmPopup': {
      'description': {
        'en': '360 Total Security offers your PC complete protection from Viruses, Trojans and other emerging threats.',
        'ru': '360 Total Security        ,     .'
      }
    },
    'eula': 'https://www.360totalsecurity.com/license/360-total-security/',
    'policy': 'https://www.360totalsecurity.com/privacy/',
    'IsPartner': true,
    'Description': {
      'en': '360 Total Security offers your PC complete protection from Viruses, Trojans and other emerging threats',
      'ru': '360 Total Security        ,     '
    },
    'Targeting': function (data) {
      // var geo = data.geoip.geoip_country_code.toUpperCase();
      // if (geo !== 'RU') { return true; }
      // return false;
      return true;
    },
    'Lang': 'eng',
    'priority': 1201,
    'exitCodes': [0, 1],
    'installTimeout': 600000,
    'singleOnly': true,
    'afterHook': function (data) {
      // Write install
      try {
        data.system.RegWrite('HKCU\\Software\\drpsu\\360TSInstalled', Date.now());
      } catch (e) {}
    }
  },
  {
    'ID': '40',
    'Name': 'WinRAR (English)',
    'URL': 'http://dl.drp.su/soft/WinRARx86Eng.exe',
    'Icon': 'http://dl.drp.su/soft/WinRAR.png',
    'Publisher': 'Alexander Roshal',
    'Rating': 4,
    'Checked': false,
    'Version': '5.61',
    'ReleaseDate': '2015-12-01',
    'UpdateDate': '2018-10-16',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName',
    'Keys': '/S',
    'Targeting': function (data) {
      if (window.lang === 'ru' ||
          window.lang === 'az' ||
          window.lang === 'be' ||
          window.lang === 'hy' ||
          window.lang === 'tt' ||
          window.lang === 'uk' ||
          window.lang === 'uz' ||
          window.lang === 'pt_br') { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'Category': 'Archiver',
    'Description': {
      'en': 'WinRAR  powerful archive manager',
      'ru': 'WinRAR        '
    },
    'IsPartner': false,
    'Lang': 'eng',
    'priority': 71
  },
  {
    'ID': '41',
    'Name': 'WinRAR (Russian)',
    'URL': 'http://dl.drp.su/soft/WinRARx86Rus.exe',
    'Icon': 'http://dl.drp.su/soft/WinRAR.png',
    'Publisher': 'Alexander Roshal',
    'Rating': 4,
    'Checked': false,
    'Version': '5.61',
    'ReleaseDate': '2015-12-01',
    'UpdateDate': '2018-10-16',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName',
    'Keys': '/S',
    'Targeting': function (data) {
      if (window.lang !== 'ru' &&
          window.lang !== 'az' &&
          window.lang !== 'be' &&
          window.lang !== 'hy' &&
          window.lang !== 'tt' &&
          window.lang !== 'uk' &&
          window.lang !== 'uz' &&
          window.lang !== 'pt_br') { return false; }
      var geo = data.geoip.geoip_country_code.toUpperCase();
      return (usaLocales.indexOf(geo) === -1) && (euLocales.indexOf(geo) === -1);
    },
    'Category': 'Archiver',
    'Description': {
      'en': 'WinRAR  powerful archive manager',
      'ru': 'WinRAR        '
    },
    'IsPartner': false,
    'Lang': 'rus',
    'priority': 81
  },
  {
    'ID': '42',
    'Name': 'WinRAR (Portuguese)',
    'URL': 'http://dl.drp.su/soft/WinRARx86Br.exe',
    'Icon': 'http://dl.drp.su/soft/WinRAR.png',
    'Publisher': 'Alexander Roshal',
    'Rating': 4,
    'Checked': false,
    'Version': '5.61',
    'ReleaseDate': '2015-12-01',
    'UpdateDate': '2018-10-16',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName',
    'Keys': '/S',
    'Targeting': function (data) {
      if (window.lang === 'pt_br') { return true; }
      return false;
    },
    'Category': 'Archiver',
    'Description': {
      'en': 'WinRAR  powerful archive manager',
      'ru': 'WinRAR        '
    },
    'IsPartner': false,
    'Lang': 'pt_br',
    'priority': 91
  },
  {
    'ID': '71',
    'Name': 'DirectX 9.0c',
    'URL': 'http://dl.drp.su/soft/DirectX.exe',
    'Icon': 'http://dl.drp.su/soft/DirectX.png',
    'Publisher': 'Microsoft Corporation',
    'Rating': 5,
    'Checked': true,
    'Version': '9.0c',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2016-02-03',
    'Keys': '',
    'Targeting': function (data) {
      if (data.system.fso.FileExists(data.system.WshShell.ExpandEnvironmentStrings('%windir%\\Microsoft.NET\\DirectX for Managed Code\\1.0.2911.0\\Microsoft.DirectX.Direct3DX.dll'))) { return false; }
      if (checkCloudTargeting(data) && !isCloudInstalled(data)) { return false; }
      return true;
    },
    'Category': 'Drivers',
    'Description': {
      'en': 'DirectX lets you to run old games on your pc',
      'ru': 'DirectX   ,     '
    },
    'IsPartner': false,
    'Lang': '',
    'priority': 1131,
    'exitCodes': [0, 2]
  },
  {
    'ID': '72',
    'Name': 'Microsoft Visual C++',
    'URL': 'http://dl.drp.su/soft/VisualCplus.exe',
    'Icon': 'http://dl.drp.su/soft/VisualCplus.png',
    'Publisher': 'Microsoft Corporation',
    'Rating': 5,
    'Checked': false,
    'Version': '2005-2020',
    'ReleaseDate': '2014-07-30',
    'UpdateDate': '2020-05-18',
    'Registry_32': 'HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}\\DisplayName',
    'Keys': '',
    'Targeting': function (data) {
      if (checkCloudTargeting(data) && !isCloudInstalled(data)) { return false; }
      return true;
    },
    'Category': 'Drivers',
    'Description': {
      'en': 'Microsoft Visual C++ packages are needed for proper work of some programs',
      'ru': 'Microsoft Visual C++        '
    },
    'IsPartner': false,
    'Lang': '',
    'singleOnly': true,
    'priority': 1,
    'installTimeout': 1800000,
    'bits': true
  },
  {
    'ID': '73',
    'Name': 'System Libraries',
    'URL': 'http://dl.drp.su/soft/RuntimePack.exe',
    'Icon': 'http://dl.drp.su/soft/RuntimePack.png',
    'Publisher': 'Microsoft Corporation',
    'Rating': 5,
    'Checked': true,
    'Version': '2020.04.18',
    'ReleaseDate': '2015-12-07',
    'UpdateDate': '2020-04-18',
    'Registry_32': '',
    'Keys': '-s',
    'Targeting': function (data) {
      if (data.system.fso.FileExists(data.system.WshShell.ExpandEnvironmentStrings('%windir%\\System\\Vbrun300.dll'))) { return false; }
      if (checkCloudTargeting(data) && !isCloudInstalled(data)) { return false; }
      return true;
    },
    'Category': 'Drivers',
    'Description': {
      'en': 'System Libraries are needed for proper work of some drivers',
      'ru': 'System Libraries         '
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 1141
  },
  {
    'ID': '74',
    'Name': '.NET Framework',
    'URL': 'http://dl.drp.su/soft/DotNet.exe',
    'Icon': 'http://dl.drp.su/soft/DotNet.png',
    'Publisher': 'Microsoft Corporation',
    'Rating': 5,
    'Checked': true,
    'Version': '4.8.0',
    'ReleaseDate': '2015-12-07',
    'UpdateDate': '2019-05-27',
    'Registry_32': 'HKCU\\Software\\DRP\\.NET Framework\\NT-Version',
    'Keys': '',
    'Category': 'Drivers',
    'Description': {
      'en': '.Net Framework is needed for proper work of some programs',
      'ru': '.Net Framework     '
    },
    'Targeting': function (data) {
      if (checkCloudTargeting(data) && !isCloudInstalled(data)) { return false; }
      return data.os.OSVersion >= 6;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 1151,
    'bits': true
  },
  {
    'ID': '75',
    'Name': '.NET Framework',
    'URL': 'http://dl.drp.su/soft/DotNetXP.exe',
    'Icon': 'http://dl.drp.su/soft/DotNet.png',
    'Publisher': 'Microsoft Corporation',
    'Checked': true,
    'Version': '1.1-4.0',
    'ReleaseDate': '2015-12-07',
    'UpdateDate': '2016-07-07',
    'Registry_32': 'HKCU\\Software\\DRP\\.NET Framework\\XP-Version',
    'Keys': '',
    'Category': 'Drivers',
    'Description': {
      'en': '.Net Framework is needed for proper work of some programs',
      'ru': '.Net Framework      '
    },
    'Targeting': function (data) {
      return data.os.OSVersion < 6;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 1161,
    'bits': true
  },
  {
    'ID': '101',
    'Name': 'Internet-Start',
    'localizedName': {
      'en': 'Internet-Start',
      'ru': 'Internet-Start'
    },
    'URL': 'http://dl.drp.su/soft/Internet-Start.exe',
    'Icon': 'http://dl.drp.su/soft/internet_start.png',
    'Publisher': 'Internet-Start.net',
    'Rating': 5,
    'Checked': true,
    'Version': '0.9',
    'ReleaseDate': '2018-08-03',
    'UpdateDate': '2020-12-23',
    'Keys': '/S',
    'Category': 'Internet',
    'Description': {
      'en': 'Internet-Start is a new search engine equipped with the possibility of previewing the search results without clicking on them',
      'ru': 'Internet-Start            '
    },
    'Targeting': function (data) {
      if (data.os.OSVersion < 6) return false;
      var geo = data.geoip.geoip_country_code.toUpperCase();
      if (geo === 'RU' || geo === 'TR') { return false; }
      if ((usaLocales.indexOf(geo) !== -1) || (euLocales.indexOf(geo) !== -1)) { return false; }
      return true;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 3,
    'singleOnly': false,
    'rebootNeeded': false,
    'afterHook': function (data) {
      // install extensions
      var regExtensions = data.os.is64
        ? 'HKLM\\Software\\Wow6432Node\\Google\\Chrome\\Extensions\\'
        : 'HKLM\\Software\\Google\\Chrome\\Extensions\\';
      var regPath = regExtensions + 'llcdellnofncikmhimjdbkdjgpmcjbik\\update_url';
      data.system.RegWrite(regPath, 'https://clients2.google.com/service/update2/crx');
    }
  },
  {
    'ID': '910',
    'Name': 'Asus Tools for Windows XP',
    'URL': 'http://dl.drp.su/tools/AsusXP.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{AB5C933E-5C7D-4D30-B314-9C83A49B94BE}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Asus',
      'ru': '   Asus'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /asus/i.test(vendor) && osVersion === 5.1;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '912',
    'Name': 'Asus Tools for Windows 7',
    'URL': 'http://dl.drp.su/tools/Asus7.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{AB5C933E-5C7D-4D30-B314-9C83A49B94BE}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Asus',
      'ru': '   Asus'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /asus/i.test(vendor) && osVersion === 6.1;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '913',
    'Name': 'Asus Tools for Windows 8',
    'URL': 'http://dl.drp.su/tools/Asus8.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{AB5C933E-5C7D-4D30-B314-9C83A49B94BE}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Asus',
      'ru': '   Asus'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /asus/i.test(vendor) && osVersion === 6.2;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '914',
    'Name': 'Asus Tools for Windows 8.1',
    'URL': 'http://dl.drp.su/tools/Asus81.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{AB5C933E-5C7D-4D30-B314-9C83A49B94BE}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Asus',
      'ru': '   Asus'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /asus/i.test(vendor) && osVersion === 6.3;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '915',
    'Name': 'Asus Tools for Windows 10',
    'URL': 'http://dl.drp.su/tools/Asus10.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{AB5C933E-5C7D-4D30-B314-9C83A49B94BE}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Asus',
      'ru': '   Asus'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /asus/i.test(vendor) && osVersion === 10.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '930',
    'Name': 'Dell Tools for Windows 7',
    'URL': 'http://dl.drp.su/tools/Dell7.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{87CF757E-C1F1-4D22-865C-00C6950B5258}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Dell',
      'ru': '   Dell'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /dell/i.test(vendor) && osVersion === 6.1;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '931',
    'Name': 'Dell Tools for Windows 8.1',
    'URL': 'http://dl.drp.su/tools/Dell81.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{87CF757E-C1F1-4D22-865C-00C6950B5258}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Dell',
      'ru': '   Dell'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /dell/i.test(vendor) && osVersion === 6.3;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '932',
    'Name': 'Dell Tools for Windows 10',
    'URL': 'http://dl.drp.su/tools/Dell10.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{87CF757E-C1F1-4D22-865C-00C6950B5258}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Dell',
      'ru': '   Dell'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /dell/i.test(vendor) && osVersion === 10.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '950',
    'Name': 'Fujitsu Tools for Windows 7-10',
    'URL': 'http://dl.drp.su/tools/FujitsuNT.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2017-02-06',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\InstallShield_{C8E4B31D-337C-483D-822D-16F11441669B}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Fujitsu',
      'ru': '   Fujitsu'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /fujitsu/i.test(vendor) && osVersion >= 6.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '960',
    'Name': 'HP Tools for Windows 7-10',
    'URL': 'http://dl.drp.su/tools/HPNT.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{09D0DB68-90EA-4015-983E-A0BD777D5A02}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by HP',
      'ru': '   HP'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /hp/i.test(vendor) && osVersion >= 6.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '965',
    'Name': 'MSI Tools for Windows x86',
    'URL': 'http://dl.drp.su/tools/MSI86.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{8B57FEA1-ABC0-4469-9205-856FD0D97C40}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by MSI',
      'ru': '   MSI'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      return /notebook/i.test(type) && /msi/i.test(vendor) && !data.os.is64;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '966',
    'Name': 'MSI Tools for Windows x64',
    'URL': 'http://dl.drp.su/tools/MSI64.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{8B57FEA1-ABC0-4469-9205-856FD0D97C40}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by MSI',
      'ru': '   MSI'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      return /notebook/i.test(type) && /msi/i.test(vendor) && data.os.is64;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '980',
    'Name': 'Toshiba Tools for Windows 7-10',
    'URL': 'http://dl.drp.su/tools/ToshibaNT.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2017-02-06',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\InstallShield_{6F3C8901-EBD3-470D-87F8-AC210F6E5E02}\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Toshiba',
      'ru': '   Toshiba'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /toshiba/i.test(vendor) && osVersion >= 6.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '990',
    'Name': 'Vizio Tools for Windows 7-10',
    'URL': 'http://dl.drp.su/tools/VizioNT.exe',
    'Checked': true,
    'Version': '1.0',
    'ReleaseDate': '2017-02-06',
    'UpdateDate': '2017-02-06',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{4F949BD9-1E99-40C7-9102-C67E2D384995}_is1\\DisplayName',
    'Keys': '/S',
    'Category': 'Drivers',
    'Description': {
      'en': 'Driver Utilities by Vizio',
      'ru': '   Vizio'
    },
    'Targeting': function (data) {
      var type = window.modelData.type;
      var vendor = window.modelData.vendor;
      var osVersion = data.os.OSVersion;
      return /notebook/i.test(type) && /vizio/i.test(vendor) && osVersion >= 6.0;
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 9999
  },
  {
    'ID': '999',
    'Name': 'SearcherBar',
    'URL': 'http://dl.drp.su/soft/SearcherBar.exe',
    'Icon': 'http://dl.drp.su/soft/SearcherBar.png',
    'Publisher': 'SearcherBar',
    'Rating': 5,
    'Checked': true,
    'Version': '0.3',
    'ReleaseDate': '2020-12-03',
    'UpdateDate': '2020-12-14',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\SearcherBar\\DisplayName',
    'Keys': '/S',
    'Category': 'Browser',
    'Description': {
      'en': 'Search Bar for Windows',
      'ru': '   Windows'
    },
    // 'Targeting': function (data) {
      // if (data.os.OSVersion < 6) return false;
      // var geo = data.geoip.geoip_country_code.toUpperCase();
      // if (cisLocales.indexOf(geo) !== -1) { return true; }
      // return false;
    // },
    'Lang': '',
    'IsPartner': true,
    'priority': 99
  },
  {
    'ID': '1000',
    'Name': 'Computer diagnostics  based on DriverPack Cloud',
    'URL': 'http://dl.drp.su/tools/DriverPack-Alice.exe',
    'Checked': true,
    'Version': '5.1.0',
    'ReleaseDate': '2016-06-22',
    'UpdateDate': '2021-03-03',
    'Registry_32': 'HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\1\\DisplayName1',
    'Keys': '',
    'Category': 'Drivers',
    'Description': {
      'en': 'The utility from the DriverPack team that diagnoses the computer after a reboot',
      'ru': '   DriverPack,     '
    },
    'Lang': '',
    'IsPartner': false,
    'priority': 100,
    'exitCodes': [0, 10, 1],
    'installTimeout': 480000,
    'afterHook': function (data) {
      // Autorun
      try { data.system.RegWrite('HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\RunOnce\\DriverPack-Alice', data.system.WshShell.ExpandEnvironmentStrings('%APPDATA%\\DRPSu\\Alice\\DriverPackAssistant.exe')); } catch (e) {}
      try { data.system.RegWrite('HKLM\\Software\\WOW6432Node\\Microsoft\\Windows\\CurrentVersion\\RunOnce\\DriverPack-Alice', data.system.WshShell.ExpandEnvironmentStrings('%APPDATA%\\DRPSu\\Alice\\DriverPackAssistant.exe')); } catch (e) {}
      // Firewall
      try { data.system.WshShell.run('netsh advfirewall firewall add rule name="DriverPack-Alice" dir=in action=allow program="' + data.system.WshShell.ExpandEnvironmentStrings('%APPDATA%\\DRPSu\\Alice\\cloud.exe') + '"', 0, false); } catch (e) {}
    }
  }
];

try {
  for (var i = 0; i < soft.length; i++) {
    soft[i].CheckedDefaultIf = soft[i].Targeting;
    if (typeof soft[i].Checked === 'boolean') {
      soft[i].CheckedDefault = soft[i].Checked;
    } else {
      soft[i].CheckedDefault = false;
    }
    if (soft[i].protect && soft[i].confirmPopup) {
      soft[i].protect = {
        popup: soft[i].confirmPopup
      };
    }
  }
} catch (err) {}; // eslint-disable-line

window.SoftPack.jsonCallback(soft);